	 <style type="text/css">

</style>

  <?php
	include_once("../header.php");
        include_once("../php/config.php");
        $sql = mysql_query("select * from 
            ingresos where estado_ingreso!='Anulado'") or die(mysql_error());
	

         $sql2 = mysql_query("select * from 
            cajas where estado_caja!='Anulada'") or die(mysql_error());
	?>
        
    <div class="container-fluid">
      <!-- Breadcrumbs-->
   <br>   
   <?php include_once("../barra_lateral.php")?>  

       <div class="row">
      <div class="col-md-12">
          <h3 class="text-success"><i class="fa fa-w fa-usd"></i> Registro de ingreso</h3>
        <a class="btn btn-sm btn-warning mb-2" href="javascript:void(0)" onClick="modalIngreso()"><i class="fa fa-plus"></i> Registrar un nuevo ingreso a caja</a>
        <script type="text/javascript">
          function modalIngreso(){
            $("#modalIngreso").modal('show');
    
                
             $("#frm").trigger('reset'); 
                setTimeout(function(){
                $("#fecha").focus();
                $("#fecha").select();
                $("#fecha").val(hoySql);
                $("#monto").prop("disabled",false);
                 $("#caja").prop("disabled",false);

            },500)
            
        }
        </script>
        <div class="table-responsive">
          <table class="table table-sm table-borderred">
            <thead>
              <th># Ingreso</th>
              <th>Fecha</th>
              <th>Monto</th>
             
             <th>Concepto</th>
             <th>Realizado por</th>
              <th>Opciones</th>
            </thead>
            <tbody>
                                                        <?php while($r=mysql_fetch_array($sql)){?>
              <tr>
                <td><?php echo $r["id_ingreso"]?></td>
                <td><?php echo fecha($r["fecha"])?></td>

              <td><?php echo decimal($r["monto"])?></td>
              <td><?php echo $r["concepto"]?></td>
              <td><?php echo $r["usuario"]?></td>
               <td><a class="btn btn-sm btn-warning mb-2" href="#modalIngreso" data-toggle="modal" onClick='ver(<?php echo $r["id_ingreso"]?>)'><i class="fa fa-eye"></i></a></td>
              </tr>
                                                        <?php }?>
            </tbody>
          </table>
        </div>
      </div>
    </div>
    
        </div>
      </div>
      


          
</div>
        


     </div>
   </div>
   
		
    </div>

	<!---Modal Cliente-->
	<div class="modal fade" id="modalIngreso" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog modal-md" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title text-success" id="exampleModalLabel"><i class="fa fa-w fa-usd"></i> Registro de ingresos</h5>
            <button class="close" type="button" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">×</span>
            </button>
          </div>
          <div class="modal-body">


		  <form name="frm" action="" method="POST" id="frm">
			 
     

        <div class="row">
  				<label for="id" class="col-sm-3 col-form-label" >Id</label>
  				<div class="col-sm-3">
  				  <input autocomplete="off" type="text"  class="form-control  mb-2" id="id_ingreso" value="" disabled>
  				</div>
			  </div>
			  
			   <div class="row">
          <label for="id" class="col-sm-3 col-form-label" >Fecha</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="date"  class="form-control mb-2" id="fecha" name="fecha" value="">
          </div>
        </div>
			  
         <div class="row">
          <label for="id" class="col-sm-3 col-form-label" >Monto</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="number"  class="form-control mb-2" id="monto" name="monto" value="">
          </div>
        </div>

        <div class="row">
          <label for="id" class="col-sm-3 col-form-label text-info" ><strong>Concepto</strong></label>
          <div class="col-md-9">
            <input autocomplete="off" type="text"  id="concepto" name="concepto"  class="form-control mt-2">
          </div>
        </div>
         <br>
         <div class="row">
                        <div class="col-md-3">
                            <b>Caja</b>
                        </div>
                        <div class="col-md-9">
                            <select onChange="get_caja(this.value)" class="form-control  mb-2" id="caja">

                                <option value="" selected disabled>Sel. caja</option>
                                <?php while ($r = mysql_fetch_array($sql2)) { ?>
                                    <option value="<?php echo $r['nombre_caja'] ?>"><?php echo $r['nombre_caja'] ?></option>
                                <?php } ?>
                            </select>
                        </div>
                    </div>


			  
			  
		  </form>
		  
		  </div>
          <div class="modal-footer">
            <button class="btn btn-success" type="button" onclick="grabar_ingreso()"><i class="fa fa-w fa-save"></i> Grabar</button>

                  <button class="btn btn-warning" type="button" onclick="borrar()" id="delete"><i class="fa fa-w fa-trash"></i> Borrar</button>

            <a class="btn btn-warning" data-dismiss="modal"> <i class="fa fa-w fa-home"></i> Salir</a>
          </div>
        </div>
      </div>
    </div>

        <?php
        include_once("../footer.php");

        function state($est) {

            if ($est == "1") {
                $b = "<span class='badge badge-success'>Activo</span>";
            } else {

                $b = "<span class='badge badge-danger'>Inactivo</span>";
            }

            return $b;
        }
        ?>
            
<script>
$("#delete").hide();
id_ingreso="";
function ver(id){

    dstry();
      $("#frm").trigger('reset');
      setTimeout(function(){
        $("#fecha").focus();
        $("#fecha").select();
        $("#fecha").val(hoySql);
    },1000);

            var sql="select * from ingresos where id_ingreso='"+id+"'"
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);
       
                for( var i in rs.data){
                    id_ingreso= rs.data[i].id_ingreso;             
                    $("#concepto").val(rs.data[i].concepto);
                    $("#monto").val(rs.data[i].monto);
                    $("#fecha").val(rs.data[i].fecha);
                   
                    $("#id_ingreso").val(rs.data[i].id_ingreso);
                    $("#caja option[value='"+rs.data[i].caja+"']").prop('selected', true);
                    $("#monto").prop("disabled",true);
                     $("#caja").prop("disabled",true);

                  
                }
                $("#loading").modal('hide');
            })
        }
  
  function grabar_ingreso(){
     if(!confirm("Seguro(a) que desea registrar este ingreso?")){return;}                   
    
     var monto = $("#monto").val();
     var concepto = $("#concepto").val();
     var fecha = $("#fecha").val();
     id_ingreso = $("#id_ingreso").val()
     



     if(monto=="" || monto<=0 || concepto=="" || fecha==""){alert('Faltan datos'); return}
    var sql="";                            
        if(id_ingreso==""){
            sql="INSERT INTO ingresos set ";
            sql+="fecha='"+fecha+"'";
            sql+=", concepto='"+concepto+"'";
            sql+=", monto='"+monto+"'";
            sql+=", usuario='"+myUser+"'"; 
            sql+=", caja='"+nombre_caja+"'"; 
           

        }else{
            sql="UPDATE ingresos set";
            sql+=" fecha='"+fecha+"'";
            sql+=", concepto='"+concepto+"'";
            //sql+=", monto='"+monto+"'";
            sql+=", usuario='"+myUser+"'";
             //sql+=", caja='"+nombre_caja+"'"; 
            sql+=" WHERE id_ingreso='"+id_ingreso+"'";
           
            
        }
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
        $("#modalIngreso").modal('hide');
        noti("success","Registro grabado con exito","Registro grabado");
       
        dstry();
        id_ingreso="";
         if(id_ingreso==""){
             updateCaja(nombre_caja,monto)
         }
      }else{
          alert(data);
          
      }
        $("#loading").modal('hide');
    })
}
  

 function borrar(){
  
     if(id_ingreso==""){msg('Seleccione un registro'); return}
     if(!confirm("Seguro(a) que desea eliminar este registro?")){return;}
    var sql="";                            
    sql="delete from ingreso where id_ingreso='"+id_ingreso+"'";
        
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
        $("#modalIngreso").modal('hide');
        alert("Registro eliminado con exito");
        
        dstry();
        id_ingreso="";
        setTimeout(function(){window.location.reload()},1000)

      }else{
          alert(data);
          
      }
        $("#loading").modal('hide');
    })
}

function updateCaja(caja,monto){
    
   sql="update cajas set fondo=fondo + '"+monto+"', total_ingreso=total_ingreso+'"+monto+"' where nombre_caja='"+caja+"'";
        
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
        noti("success","Caja "+caja+" actualizada","Ok");
        setTimeout(function(){window.location.reload()},1000)
    }) 
}
 
 
 function get_caja(caja){
            var sql="select * from cajas where nombre_caja='"+caja+"'"
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);
       
                for( var i in rs.data){
                    nombre_caja= rs.data[i].nombre_caja;
                   
                }
                $("#loading").modal('hide');
            })
        }

 
 
 $(".table").DataTable();
         
        </script>

